# $Revision: 1.40 $, $Date: 2001/11/24 08:21:54 $
Summary:	GNOME Personal Information Manager
Summary(es): El administrador de informaciones personales del GNOME
Summary(pl):	Osobisty terminarz i meneder harmonogramw
Summary(pt_BR): O gerenciador de informaes pessoais do GNOME
Name:		gnome-pim
Version:	1.4.0
Release:	1
Epoch:		1
License:	GPL
Group:		X11/Applications
Group(de):	X11/Applikationen
Group(pl):	X11/Aplikacje
Source0:	ftp://ftp.gnome.org/pub/GNOME/stable/sources/gnome-pim/%{name}-%{version}.tar.gz
Patch0:		%{name}-fontset.patch
Patch1:		%{name}-gettext.patch
Patch2:		%{name}-macros.patch
Patch3:		%{name}-gnomecal.patch
Patch4:		%{name}-am15.patch
Patch5:		%{name}-missing_gnomecard_help.patch
Icon:		gnome-pim.xpm
URL:		http://www.gnome.org/
Requires:	gnome-libs => 1.0.5
Requires:	ORBit => 0.4.0
Requires:	gtk+ >= 1.2.1
Requires:	glib >= 1.2.1
BuildRequires:	ORBit-devel
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	docbook-style-dsssl
BuildRequires:	flex
BuildRequires:	gettext-devel
BuildRequires:	gnome-libs-devel
BuildRequires:	gtk+-devel >= 1.2.0
BuildRequires:	imlib-devel
BuildRequires:	libstdc++-devel
BuildRequires:	libtool
BuildRequires:	pilot-link-devel
Obsoletes:	gnome-pim-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_prefix		/usr/X11R6
%define		_mandir		%{_prefix}/man
%define		_sysconfdir	/etc/X11/GNOME

%description
The GNOME Personal Information Manager consists of applications to
make keeping up with your busy life easier. Currently these apps are
present:
- gnomecal - personal calendar and todo list,
- gnomecard - contact list of friends and business associates.

%description -l es
El administrador de informaciones personales del GNOME consiste de
aplicaciones para hacer su vida muy mas fcil. 
Actualmente estas aplicaciones estn presentes:
- gnomecal:  calendario personal,
- gnomecard: lista de contactos.

%description -l pl
Pakiet zawiera aplikacje robice Twoje zapracowane ycie prostrzym.
Aktualnie dwie aplikacje s obecne:
- gnomecal - prywatny terminarz i lista zada
- gnomecard - notatnik z kontaktami przyjaci oraz partnerw
  biznesowych.

%description -l pt_BR
O gerente de informaes pessoais do GNOME consiste de aplicaes para
manter sua vida mais fcil. 
Atualmente estes so os aplicativos disponveis:
- gnomecal : calendrio pessoal e lista de coisas a fazer,
- gnomecard: lista de contatos: amigos e parceiros comerciais.

%prep
%setup  -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1

%build
rm -f missing
gettextize --copy --force
libtoolize --copy --force
aclocal -I macros
autoconf
automake -a -c
%configure \
	--enable-nls \
	--without-included-gettext
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	Productivitydir=%{_applnkdir}/Office/PIMs

gzip -9nf AUTHORS ChangeLog NEWS README

%find_lang %{name} --with-gnome --all-name

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc *.gz
%config %{_sysconfdir}/CORBA/servers/*
%attr(755,root,root) %{_bindir}/*
%{_applnkdir}/Office/PIMs/*
%{_datadir}/mime-info/gnome-pim.keys
%{_pixmapsdir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <pld-list@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: gnome-pim.spec,v $
Revision 1.40  2001/11/24 08:21:54  kloczek
- merge translation from Conectiva,
- merge gnomecal patch ftom Conectiva,
- add am15 patch and added also full regenerate am/ac/lt files,
- add missing_gnomecard_help patch with missing gnomecard helpt files
  (resources stolen fron gnome cvs tree),
- use --with-gnome --all-name in %%find_lang macro parameters (remove help
  files from %files list),
- removed idl files from %files.

Revision 1.39  2001/09/26 10:51:32  qboosh
- BuildRequires: autoconf, automake, libtool, gettext-devel

Revision 1.38  2001/05/17 15:43:40  misiek
- regenereate auto and libtool stuff
- fix gettext

Revision 1.37  2001/05/17 14:54:53  kura
- updated to 1.4.0

Revision 1.36  2001/02/28 11:03:55  misiek
1.3.2; fixed %%files; pl translations

Revision 1.35  2001/02/02 17:50:34  kloczek
- perl -pi -e "s/^\%\{_datadir\}\/pixmaps/\%\{_pixmapsdir\}/"

Revision 1.34  2001/01/31 16:22:07  kloczek
- release 8: merge fontset RH patch.

Revision 1.33  2000/10/27 09:16:13  kloczek
- release 7: rebuild against gnome-libs linked with db3.

Revision 1.32  2000/09/30 21:13:30  kloczek
- release 6 and Epoch to 1 (for allow upgrade from RH),
- adapterized.

Revision 1.31  2000/06/09 07:54:41  kloczek
- more %%{__make} macros.

Revision 1.30  2000/06/09 07:22:51  kloczek
- added using %%{__make} macro.

Revision 1.29  2000/05/30 14:26:56  michuz
- release 2
- %%applnkdir changed

Revision 1.28  2000/05/22 22:08:35  kloczek
- updated to 1.2.0 (GNOME 1.2 comes :).

Revision 1.27  2000/05/16 20:51:41  kloczek
- spec adapterized.

Revision 1.26  2000/05/15 22:45:28  klakier
- build requires pilot-link-devel

Revision 1.25  2000/05/01 21:02:34  mkochano
- Removed 'BuildRequires: (XFree86|glib)-devel' from packages which have
  'BuildRequires: gtk+-devel'. They were redundant, beacuse 'gtk+-devel' says
  what it needs using 'Requires'. BTW, awk rules :)

Revision 1.24  2000/04/03 02:18:56  kloczek
- updated to 1.1.5,
- put desktop files in %%{_applnkdir} tree without patching sources.

Revision 1.23  2000/04/01 11:14:40  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.22  2000/03/28 16:54:20  baggins
- translated kloczkish into english

Revision 1.21  2000/03/23 05:30:37  kloczek
- updated to 1.1.4,
- removed devel subpackage.

Revision 1.20  2000/01/28 05:13:15  kloczek
- updated to 1.1.3,
- spec adapterized.

Revision 1.19  1999/10/27 10:12:05  kloczek
- updated to 1.0.55.

Revision 1.18  1999/10/07 20:47:27  kloczek
- updated to 1.0.50.

Revision 1.17  1999/09/29 04:40:50  kloczek
- updated to 1.0.42.

Revision 1.16  1999/09/23 02:42:52  kloczek
- missing %patch1.

Revision 1.15  1999/09/23 02:31:20  kloczek
- release 3,
- close BR#6 - move desktop files to %{_datadir}/applnk
  (added applnkdir patch).

Revision 1.14  1999/09/22 18:51:15  kloczek
- updated to 1.0.10,
- new package icon,
- more rpm macros.

Revision 1.13  1999/07/20 12:48:07  wiget
- switch to rpm 3.0.2

Revision 1.12  1999/07/20 11:04:33  baggins
- fixed usage of macros
- added/removed neccesary/obsolete patches
- FHS 2.0 compliance where needed
- gzipping docs where needed

Revision 1.11  1999/07/12 23:05:57  kloczek
- added using CVS keywords in %changelog (for automating them).

* Fri May 14 1999 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [1.0.7-2]
- group for devel changed to X11/GNOME/Development/Libraries,
- added -fno-rtti -fno-exceptions -fno-implicit-templates to C++
  optimization options.

* Fri May 14 1999 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [1.0.7-2]
- added BuildPrereq rules.

* Fri Apr  9 1999 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [1.0.7-1]
- first version in rpm package for PLD.
